<div class="row mt-5">
  <div class="col-md-12">
      <h1>Administration des Consultations</h1>
      <!-- Bouton ajouter-->
      <div class="row">
          <div class="col-sm-8"></div>
          <div class="col-sm-4">
              <button type="button" class="btn btn-success waves-light" style="float: right;" (click)="addConsultation()">Ajouter une Consultation</button>
          </div>
      </div>

      <!--Card-->
      <div class="card card-cascade narrower mt-5">
          <!--Card image-->
          <div class="view gradient-card-header blue darken-2">
              <h4 class="h4-responsive text-white">Consultations </h4>
          </div>
          <!--/Card image-->
          <!--Card content-->
          <table class="table table-hover">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">Date</th>
                  <th scope="col" style="text-align: center">Notes</th>
                  <th scope="col">Médecin</th>
                  <th scope="col">Patient</th>
                  <th scope="col" style="text-align: center">Option</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let consultation of consultations">
                 
                  <td>{{consultation.id}}</td>
                  <td>{{consultation.date}}</td>
                  <td>{{consultation.notes}}</td>
                  <td>{{consultation.medecin}}</td>
                  <td>{{consultation.patient}}</td>
                  <td class="nav justify-content-center">
                    <input type="image" src="../../../../assets/img/edit.png" (click)="editConsultation(consultation)"  />
                    <input type="image" src="../../../../assets/img/delete.png" (click)="deleteConsultation(consultation)" alt="Texte en gras" style="cursor:pointer;"  />
                </td>
                </tr>
              </tbody>
            </table>
          <!--/.Card content-->
      </div>
      <!--/.Card-->
  </div>
</div>
